阿里云主机

万维景盛

万维景盛官网
使用阿里云服务器无法升级wordpress怎么解决?

使用阿里云服务器升级WordPress到wordpress5.03等新版本时,也许你会遇到无法连接wordpress升级服务器的问题,报错内容可能是ERR_SPDY_PROTOCOL_ERROR,万维景盛工程师为您分享解决办法:

FTP连接问题

// 解决需要FTP问题define("FS_METHOD","direct");define("FS_CHMOD_DIR", 0777);define("FS_CHMOD_FILE", 0777);12345

使用国外代理服务器

编辑 wp-config.php 文件,在底部增加一下代码:

define('WP_PROXY_HOST', 'us.centos.bz');define('WP_PROXY_PORT', '31281');12

更改配置后更新即可,更新完成后注释这两行代码,以免影响WordPress使用

WordPress升级时显示另一项更新正在进行

这是由于在升级Wordpress时,Wordpress会在数据库wp_options表中增加core_updater.lock记录。如中途打断Wordpress升级,这个记录会留在数据库中。当下次升级时,Wordpress检测到此记录的存在就会返回”另一更新正在进行”。可通过以下办法解决:

登陆服务器WordPress数据库,假设表前缀是wp,执行下面这条SQL语句:

delete from wp_options where option_name='core_updater.lock';


< 购物车 > 会员 客服 充值 工单
Top

客服热线

010-57180806

18610695105

客服QQ

请拨总机 010-57180806

咨询售后问题建议 提交工单